RPC exchange name defaults to 'openstack'

Bug #1083944 reported by Kieran Spear on 2012-11-28
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Critical
Russell Bryant
Folsom
Critical
Russell Bryant
neutron
Undecided
Unassigned
Folsom
Critical
Russell Bryant
openstack-manuals
High
Anne Gentle

Bug Description

Nova on stable/folsom is using 'openstack' as its exchange name.

Openstack-common was updated on stable/folsom with this change:
https://review.openstack.org/#/c/16532/

Which brought in this change that removed the default 'nova' exchange config option:
https://review.openstack.org/#/c/12876/

"""
Make projects define 'control_exchange'.

The 'control_exchange' option needs to have a project-specific default
value. Just don't register this option and expect it to be registered
by the project using this code, at least for now.

****** IMPORTANT NOTE WHEN IMPORTING THIS CHANGE ******

If you are importing this change into a project that uses rpc, you must
add the control_exchange option in your code!

*******************************************************

Change-Id: Ida5a8637c419e709bbf22fcad57b0f11c31bb959
"""

But stable/folsom nova.conf was never updated.

The control_exchange option has been removed from nova.conf on master too now:
https://review.openstack.org/#/c/15940/

Found this debugging a situation where a child cell couldn't eceive messages from a parent cell. Strangely, setting control_exchange='openstack' fixed our problem. We're still trying to work out *why* there was a mismatch in exchange names at all, given that all cells were running the same nova code and nearly identical configs.

Tom Fifield (fifieldt) on 2012-11-28
Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → High
tags: added: nova
Russell Bryant (russellb) wrote :

This is bad. We need to fix this so that nova is using the 'nova' exchange.

Changed in nova:
status: New → Confirmed
importance: Undecided → Critical

Fix proposed to branch: master
Review: https://review.openstack.org/17233

Changed in nova:
assignee: nobody → Russell Bryant (russellb)
status: Confirmed → In Progress

We should probably use a mechanism in oslo similar to what's being proposed for logging_context_format_string in going forward

https://bugs.launchpad.net/oslo/+bug/1083218

Reviewed: https://review.openstack.org/17233
Committed: http://github.com/openstack/nova/commit/4be71ff75b372adf42dba08a059106399b20a467
Submitter: Jenkins
Branch: master

commit 4be71ff75b372adf42dba08a059106399b20a467
Author: Russell Bryant <email address hidden>
Date: Fri Nov 30 16:08:52 2012 -0500

    Fix rpc control_exchange regression.

    A change was made in rpc that requires project's to define the
    control_exchange option themselves. This was so the project's could
    set their own default value. This change has made it in to nova without
    adding the control_exchange option, meaning that it is using the default
    of 'openstack', potentially conflicting with other projects.

    See https://review.openstack.org/#/c/12518/

    Fix bug 1083944.

    Change-Id: Ifc00a537c4ee327cbee91fe1d911f8c402e350b7

Changed in nova:
status: In Progress → Fix Committed

Davanum, thanks for the pointer, that sounds like a very good idea.

Mark McLoughlin (markmc) on 2012-12-03
Changed in oslo:
status: New → In Progress
assignee: nobody → Russell Bryant (russellb)
importance: Undecided → Critical
no longer affects: oslo
Mark McLoughlin (markmc) on 2012-12-03
Changed in quantum:
status: New → Invalid
summary: - RPC exchange name changed from 'nova' to 'openstack'
+ RPC exchange name defaults to 'openstack'
Mark McLoughlin (markmc) wrote :

quantum stable/folsom fix: https://review.openstack.org/17236

Reviewed: https://review.openstack.org/17234
Committed: http://github.com/openstack/nova/commit/670b38821cb9a3fb01b42cb8605269009499ec39
Submitter: Jenkins
Branch: stable/folsom

commit 670b38821cb9a3fb01b42cb8605269009499ec39
Author: Russell Bryant <email address hidden>
Date: Fri Nov 30 16:08:52 2012 -0500

    Fix rpc control_exchange regression.

    A change was made in rpc that requires project's to define the
    control_exchange option themselves. This was so the project's could
    set their own default value. This change has made it in to nova without
    adding the control_exchange option, meaning that it is using the default
    of 'openstack', potentially conflicting with other projects.

    See https://review.openstack.org/#/c/12518/

    Fix bug 1083944.

    Change-Id: Ifc00a537c4ee327cbee91fe1d911f8c402e350b7

Tom Fifield (fifieldt) wrote :
Changed in openstack-manuals:
status: Confirmed → In Progress
assignee: nobody → Anne Gentle (annegentle)

Reviewed: https://review.openstack.org/17691
Committed: http://github.com/openstack/openstack-manuals/commit/c21bf9ded49de06143251096d64839b4f7dac991
Submitter: Jenkins
Branch: master

commit c21bf9ded49de06143251096d64839b4f7dac991
Author: annegentle <email address hidden>
Date: Fri Dec 7 10:51:08 2012 -0600

    Adds info about control_exchange option for AMPQ (RPC calls)

    Fix bug 1083944

    Change-Id: I4a0d7d37b9fc8cf48a8e66bcca8bbd5026002ad6

Changed in openstack-manuals:
status: In Progress → Fix Released

Hello Kieran, or anyone else affected,

Accepted nova into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/2012.2.1+stable-20121212-a99a802e-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Thierry Carrez (ttx) on 2013-01-09
Changed in nova:
milestone: none → grizzly-2
status: Fix Committed → Fix Released
Gary Kotton (garyk) on 2013-02-12
Changed in quantum:
status: Invalid → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-2 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers